### Method

# Ide ConfigProvider delete

#### Declaration

    void
    ide_config_provider_delete (
      IdeConfigProvider* self,
      IdeConfig* config
    )

#### Description

Requests that the configuration provider delete the configuration.

`ide_config_provider_save_async()` will be called by the `IdeConfigManager` after calling this function.

Available since: | 3.32

#### Parameters

`config` | `IdeConfig`
| An `IdeConfig` owned by the provider.
| The data is owned by the caller of the function.